com.trilead.ssh2.sftp

## Class Packet

- java.lang.Object
- - com.trilead.ssh2.sftp.Packet

    public class Packet
    extends java.lang.Object

SFTP Paket Types

### Field Summary

Fields
`static int` `SSH_FXP_ATTRS`
`static int` `SSH_FXP_CLOSE`
`static int` `SSH_FXP_DATA`
`static int` `SSH_FXP_EXTENDED`
`static int` `SSH_FXP_EXTENDED_REPLY`
`static int` `SSH_FXP_FSETSTAT`
`static int` `SSH_FXP_FSTAT`
`static int` `SSH_FXP_HANDLE`
`static int` `SSH_FXP_INIT`
`static int` `SSH_FXP_LSTAT`
`static int` `SSH_FXP_MKDIR`
`static int` `SSH_FXP_NAME`
`static int` `SSH_FXP_OPEN`
`static int` `SSH_FXP_OPENDIR`
`static int` `SSH_FXP_READ`
`static int` `SSH_FXP_READDIR`
`static int` `SSH_FXP_READLINK`
`static int` `SSH_FXP_REALPATH`
`static int` `SSH_FXP_REMOVE`
`static int` `SSH_FXP_RENAME`
`static int` `SSH_FXP_RMDIR`
`static int` `SSH_FXP_SETSTAT`
`static int` `SSH_FXP_STAT`
`static int` `SSH_FXP_STATUS`
`static int` `SSH_FXP_SYMLINK`
`static int` `SSH_FXP_VERSION`
`static int` `SSH_FXP_WRITE`

### Constructor Summary

Constructors
Constructor and Description
`Packet()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SSH_FXP_INIT

    public static final int SSH_FXP_INIT

See Also:
  Constant Field Values

#### SSH_FXP_VERSION

    public static final int SSH_FXP_VERSION

See Also:
  Constant Field Values

#### SSH_FXP_OPEN

    public static final int SSH_FXP_OPEN

See Also:
  Constant Field Values

#### SSH_FXP_CLOSE

    public static final int SSH_FXP_CLOSE

See Also:
  Constant Field Values

#### SSH_FXP_READ

    public static final int SSH_FXP_READ

See Also:
  Constant Field Values

#### SSH_FXP_WRITE

    public static final int SSH_FXP_WRITE

See Also:
  Constant Field Values

#### SSH_FXP_LSTAT

    public static final int SSH_FXP_LSTAT

See Also:
  Constant Field Values

#### SSH_FXP_FSTAT

    public static final int SSH_FXP_FSTAT

See Also:
  Constant Field Values

#### SSH_FXP_SETSTAT

    public static final int SSH_FXP_SETSTAT

See Also:
  Constant Field Values

#### SSH_FXP_FSETSTAT

    public static final int SSH_FXP_FSETSTAT

See Also:
  Constant Field Values

#### SSH_FXP_OPENDIR

    public static final int SSH_FXP_OPENDIR

See Also:
  Constant Field Values

#### SSH_FXP_READDIR

    public static final int SSH_FXP_READDIR

See Also:
  Constant Field Values

#### SSH_FXP_REMOVE

    public static final int SSH_FXP_REMOVE

See Also:
  Constant Field Values

#### SSH_FXP_MKDIR

    public static final int SSH_FXP_MKDIR

See Also:
  Constant Field Values

#### SSH_FXP_RMDIR

    public static final int SSH_FXP_RMDIR

See Also:
  Constant Field Values

#### SSH_FXP_REALPATH

    public static final int SSH_FXP_REALPATH

See Also:
  Constant Field Values

#### SSH_FXP_STAT

    public static final int SSH_FXP_STAT

See Also:
  Constant Field Values

#### SSH_FXP_RENAME

    public static final int SSH_FXP_RENAME

See Also:
  Constant Field Values

#### SSH_FXP_READLINK

    public static final int SSH_FXP_READLINK

See Also:
  Constant Field Values

#### SSH_FXP_SYMLINK

    public static final int SSH_FXP_SYMLINK

See Also:
  Constant Field Values

#### SSH_FXP_STATUS

    public static final int SSH_FXP_STATUS

See Also:
  Constant Field Values

#### SSH_FXP_HANDLE

    public static final int SSH_FXP_HANDLE

See Also:
  Constant Field Values

#### SSH_FXP_DATA

    public static final int SSH_FXP_DATA

See Also:
  Constant Field Values

#### SSH_FXP_NAME

    public static final int SSH_FXP_NAME

See Also:
  Constant Field Values

#### SSH_FXP_ATTRS

    public static final int SSH_FXP_ATTRS

See Also:
  Constant Field Values

#### SSH_FXP_EXTENDED

    public static final int SSH_FXP_EXTENDED

See Also:
  Constant Field Values

#### SSH_FXP_EXTENDED_REPLY

    public static final int SSH_FXP_EXTENDED_REPLY

See Also:
  Constant Field Values

### Constructor Detail

#### Packet

    public Packet()